CVE-2020-36310

NameCVE-2020-36310
DescriptionAn issue was discovered in the Linux kernel before 5.8. arch/x86/kvm/svm/svm.c allows a set_memory_region_test infinite loop for certain nested page faults, aka CID-e72436bc3a52.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)stretch4.9.228-1fixed
stretch (security)4.9.272-2fixed
buster4.19.208-1vulnerable
buster (security)4.19.194-3vulnerable
bullseye5.10.70-1fixed
bullseye (security)5.10.46-5fixed
bookworm5.14.9-2fixed
sid5.14.12-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsourcestretch(not affected)
linuxsource(unstable)5.8.7-1

Notes

[stretch] - linux <not-affected> (Vulnerability introduced later)
https://git.kernel.org/linus/e72436bc3a5206f95bb384e741154166ddb3202e

Search for package or bug name: Reporting problems